Bug 1267642 - undefined method `make_request' when provisioning SCVMM VM
undefined method `make_request' when provisioning SCVMM VM
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning (Show other bugs)
5.5.0
Unspecified Unspecified
unspecified Severity high
: GA
: 5.5.0
Assigned To: Greg McCullough
Dave Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-30 10:50 EDT by Milan Falešník
Modified: 2015-12-08 08:33 EST (History)
3 users (show)

See Also:
Fixed In Version: 5.5.0.3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:33:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Excerpt from production.log (8.36 KB, text/plain)
2015-09-30 10:50 EDT, Milan Falešník
no flags Details

  None (edit)
Description Milan Falešník 2015-09-30 10:50:23 EDT
Created attachment 1078689 [details]
Excerpt from production.log

Description of problem:
An error appears when the provisioning form is submitted for SCVMM.


Version-Release number of selected component (if applicable):
5.5.0.2-alpha1.1

How reproducible:
always

Steps to Reproduce:
1. Have CFME manage a SCVMM provider
2. File the provisioning request form
3. Hit submit

Actual results:
undefined method `make_request' for #<ManageIQ::Providers::Microsoft::InfraManager::ProvisionWorkflow:0x0000000aa5df48> [vm_infra/pre_prov_continue]


Expected results:
Request submitted

Additional info:
Comment 2 Greg McCullough 2015-09-30 12:07:23 EDT
This bug was introduced in https://github.com/ManageIQ/manageiq/pull/4332 and fixed a day later in PR https://github.com/ManageIQ/manageiq/pull/4494.

Are you able to test and validate that change?
Comment 4 Milan Falešník 2015-10-01 05:21:28 EDT
It is fixed in 5.5.0.3
Comment 6 errata-xmlrpc 2015-12-08 08:33:45 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.